cc.Class({
    extends: cc.Component,

    next_scene: function() {
        //cc.log("next_scene !!");
        G.game.nextScene();
    },

    destroy_self: function() {
        //cc.log("destroy_self, " + this.node.parent.name);
        if(this.node.parent.name != "Canvas" && this.node.parent.name != "game" && this.node.parent.name != "Sfx"){
        	//cc.log("destroy_self(A), " + this.node.parent.name);
        	this.node.parent.destroy();
        }
        else{
        	//cc.log("destroy_self(B), " + this.node.name);
        	this.node.destroy();
        }
    },

    act_die: function(type) {
        let comp = this.node.parent.getComponent(type);

        if(comp != null){
            comp.onDead();
        }
    },

    play_sfx: function(index, name) {
        G.sound.playSfxByEvt(index, name);
    },
});
