var Bullet = require('Bullet');
//var getDir = require('Utils').getDir;

cc.Class({
    extends: cc.Component,

    onLoad () {
        G.bullets = this;
        this._bullets = [];
        this._pool = new cc.NodePool('Bullet');
    },

    add (owner, prefab, position, direction, degree) {        
        // spawn
        let bulletNode = this._pool.get();

        if (!bulletNode) {
            bulletNode = cc.instantiate(prefab);
        }

        bulletNode.active = true;

        bulletNode.rotation = 90 - degree;

        let bullet = bulletNode.getComponent('Bullet');
        let velocity = direction.normalizeSelf();

        // set initial value of bullet
        bullet.dir = cc.v2(velocity.x, velocity.y);
        bullet.velocity = cc.v2((velocity.x*bullet.speed), (velocity.y*bullet.speed));
        //this._bullets.push(bullet);

        // convert position to local space
        position.subSelf(this.node.parent.position);
        bullet.node.position = position;

        // set owner
        bullet.owner = owner;

        // add to scene
        bullet.node.parent = this.node;
        this.count += 1;
    }
});
